Page MenuHomePhabricator

[IROutliner] Adding support for swift errors
ClosedPublic

Authored by AndrewLitteken on Sep 15 2020, 10:08 PM.

Details

Summary

Since some values can be swift errors, we need to make sure that we correctly propagate the parameter attributes.

Tests found at:
llvm/test/Transforms/IROutliner/outlining-swift-error.ll

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptSep 15 2020, 10:08 PM
AndrewLitteken requested review of this revision.Sep 15 2020, 10:08 PM
AndrewLitteken edited the summary of this revision. (Show Details)
jroelofs accepted this revision.Sep 18 2020, 12:09 PM
jroelofs added inline comments.
llvm/lib/Transforms/IPO/IROutliner.cpp
795–797

With Optionals, we usually avoid calling hasValue()/getValue() most of the time, and instead treat them as if they had pointer semantics. Subjectively, this increases readability.

This revision is now accepted and ready to land.Sep 18 2020, 12:09 PM
This revision was landed with ongoing or failed builds.Dec 29 2020, 11:17 PM
This revision was automatically updated to reflect the committed changes.